Results 1 to 4 of 4

Thread: [SOLVED] Upgrading from 4.5.10 > 5.0 failed.

  1. #1
    Join Date
    May 2007
    Posts
    71
    Rep Power
    8

    Default [SOLVED] Upgrading from 4.5.10 > 5.0 failed.

    I needed to replace the disks in my mail server. I've been running 4.5.x for a good while now. I figured it'd be a good time to upgrade to 5.0.

    I replaced the disks, clean install of ubuntu 6.06, installed a dummy 4.5.10 install, restored the data from my previous install, ran the permission fix, then started things up. My install on the new disks was working fine, I was able to send and receive mail. All services were starting, my data was intact, etc.

    I then tried to upgrade my working 4.5.10 to 5.0 and things were humming along nicely until this popped up.

    Code:
    Restoring existing configuration file from /opt/zimbra/.saveconfig/config.save...done
    Operations logged to /tmp/zmsetup.01042008-135629.log
    Starting ldap...done.
    Setting defaults...done.
    Upgrading from  to 5.0.0_GA_1869
    Stopping zimbra services
    Verifying /opt/zimbra/conf/my.cnf
    Starting mysql
    Starting logger mysql
    Fri Jan  4 13:57:34 2008: SELECT value FROM config WHERE name = 'db.version'
    I can't upgrade version
    I'm not sure what other information would be useful to troubleshoot this problem, ask away.

    I appreciate any help.


    EDIT:
    BTW the tail of that log file that is mentioned in the buffer is:
    Code:
    Starting logger mysql
    I can't upgrade version
    
    UPGRADE FAILED - exiting
    Last edited by Stergil; 01-04-2008 at 01:07 PM.

  2. #2
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    The dummy install needs to be 4.5.x (what ever version you're upgrading)

    the error indicates that the rpm db has the 5.0GA rpms in it.

    Run the uninstaller script, and try again.

  3. #3
    Join Date
    May 2007
    Posts
    71
    Rep Power
    8

    Default

    ok, thanks for the reply.

    I'll try again and update the message. I'll not get a chance to work on it until sun/mon probably.

  4. #4
    Join Date
    May 2007
    Posts
    71
    Rep Power
    8

    Default

    well it worked the second time around.

    I'm still not real sure where I fudged things up. Rethinking what I did.. fresh install of ubuntu 6.06, downloaded 4.5.10 & installed it, copied my old 4.5.10 install over top, ran the 5.0 upgrade.

    I did the same thing the second time around, with the same source of files. The only thing I didn't do was another fresh install of linux.

    *scratches head*

    Either way, thanks for the aide.

Similar Threads

  1. Where can I get 4.5.10? I need it to upgrade to 5.0
    By mdeneen in forum Administrators
    Replies: 2
    Last Post: 01-02-2008, 11:34 AM
  2. ZCS 5.0 FOSS is Released!!!
    By jholder in forum Announcements
    Replies: 1
    Last Post: 12-21-2007, 12:21 PM
  3. My Zimbra server down ... please help :)
    By frankb in forum Administrators
    Replies: 2
    Last Post: 12-12-2007, 11:29 AM
  4. Replies: 7
    Last Post: 11-28-2007, 01:49 PM
  5. Lotus migration
    By babou in forum Migration
    Replies: 15
    Last Post: 03-05-2007, 10:33 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •